AdfCheckpoint = window["AdfCheckpoint"];
var _needsPStub = AdfCheckpoint == undefined;
var newFunc = function anonymous(id, group) {
};
AdfCheckpoint = _needsPStub ? newFunc : AdfCheckpoint;
AdfCheckpoint.prototype.setDescription = _needsPStub ? function(desc) {
} : AdfCheckpoint.prototype["setDescription"];
AdfCheckpoint.prototype.getDescription = _needsPStub ? function() {
} : AdfCheckpoint.prototype["getDescription"];
AdfCheckpoint.prototype.start = _needsPStub ? function(callingMethod, params) {
} : AdfCheckpoint.prototype["start"];
AdfCheckpoint.prototype.stop = _needsPStub ? function(uid) {
} : AdfCheckpoint.prototype["stop"];
AdfCheckpoint.getCheckpoint = _needsPStub ? function(id, group) {
  return new AdfCheckpoint(id, group);
} : AdfCheckpoint["getCheckpoint"];
